> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Payment

> Retrieve payment details by payment ID

## Payment Status Values

* **PAY\_INIT** — Payment initialized
* **PAY\_PROCESS** — Payment is being processed
* **PAY\_SUCCESS** — Payment completed successfully
* **PAY\_FAILED** — Payment failed
* **PAY\_TIMEOUT** — Payment timed out
* **PAY\_CANCEL** — Payment was cancelled
* **SETTLEMENT\_INIT** — Settlement process started
* **SETTLEMENT\_SUCCESS** — Settlement completed successfully
* **SETTLEMENT\_HOLD** — Transaction on hold due to insufficient rebalancing funds
* **SETTLEMENT\_FAILED** — Settlement failed after 3 retry attempts

<Note>
  The `settlement_info` field will be `null` until `PAY_SUCCESS`. The `payment_time` will be `0` until `PAY_SUCCESS`.
</Note>


## OpenAPI

````yaml GET /v1/transit/payment/{payment_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/transit/payment/{payment_id}:
    get:
      tags:
        - Crypto Orchestration
      summary: Fetch a Payment
      description: Retrieve payment details by payment ID
      parameters:
        - name: payment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique payment identifier returned from Create Payment
          example: FIN_PROVIDED_UUID
      responses:
        '200':
          description: Payment details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      payment_id:
                        type: string
                        format: uuid
                        example: FIN_PROVIDED_UUID
                      integration_type:
                        type: string
                        example: BYBIT
                      quote_id:
                        type: string
                        format: uuid
                        example: FIN_PROVIDED_UUID
                      status:
                        type: string
                        enum:
                          - PAY_INIT
                          - PAY_PROCESS
                          - PAY_SUCCESS
                          - PAY_FAILED
                          - PAY_TIMEOUT
                          - PAY_CANCEL
                          - SETTLEMENT_INIT
                          - SETTLEMENT_HOLD
                          - SETTLEMENT_SUCCESS
                          - SETTLEMENT_FAILED
                        example: PAY_INIT
                      create_time:
                        type: integer
                        example: 1740748353
                      payment_info:
                        type: object
                        properties:
                          pay_id:
                            type: string
                            example: 01JN6AZVEMAC8H9SED6JES3QH8
                          merchant_trade_no:
                            type: string
                            example: 841e4ba2-...-a2a45de7bd00
                          amount:
                            type: string
                            example: '100'
                          status:
                            type: string
                            enum:
                              - PAY_INIT
                              - PAY_PROCESS
                              - PAY_SUCCESS
                              - PAY_FAILED
                              - PAY_TIMEOUT
                              - PAY_CANCEL
                            example: PAY_INIT
                          currency:
                            type: string
                            example: USDT
                          currency_type:
                            type: string
                            example: crypto
                          expire_time:
                            type: integer
                            example: 1740751953
                          payment_time:
                            type: integer
                            description: 0 until PAY_SUCCESS
                            example: 0
                      settlement_info:
                        type: object
                        nullable: true
                        description: null until PAY_SUCCESS
                        properties:
                          settlement_via:
                            type: string
                            enum:
                              - ONE_TO_ONE
                              - MARKET_ORDER
                              - FEE_RETENTION
                            example: MARKET_ORDER
                          wallet_address:
                            type: string
                          currency:
                            type: string
                            enum:
                              - USDC
                              - USDT
                              - BTC
                              - ETH
                            example: USDC
                          rail:
                            type: string
                            enum:
                              - SOLANA
                              - BITCOIN
                              - ETHEREUM
                              - BASE
                            example: SOLANA
                          amount:
                            type: string
                            example: '100'
                          trx_hash:
                            type: string
                            example: 0x580...
                          settle_time:
                            type: integer
                            example: 1740748353
                          status:
                            type: string
                            enum:
                              - SETTLEMENT_INIT
                              - SETTLEMENT_HOLD
                              - SETTLEMENT_SUCCESS
                              - SETTLEMENT_FAILED
                            example: SETTLEMENT_SUCCESS
                          retry_attempts:
                            type: integer
                            minimum: 0
                            maximum: 3
                            example: 0
              examples:
                paymentInitiated:
                  summary: Payment in initial state
                  value:
                    data:
                      payment_id: FIN_PROVIDED_UUID
                      integration_type: BYBIT
                      status: PAY_INIT
                      create_time: 1740748353
                      payment_info:
                        pay_id: 01JN6AZVEMAC8H9SED6JES3QH8
                        merchant_trade_no: 841e4ba2-...-a2a45de7bd00
                        amount: '100'
                        status: PAY_INIT
                        currency: USDT
                        currency_type: crypto
                        expire_time: 1740751953
                        payment_time: 0
                      settlement_info: null
                paymentSettled:
                  summary: Payment successfully settled
                  value:
                    data:
                      payment_id: FIN_PROVIDED_UUID
                      integration_type: BYBIT
                      status: SETTLEMENT_SUCCESS
                      create_time: 1740748353
                      payment_info:
                        pay_id: 01JN6AZVEMAC8H9SED6JES3QH8
                        merchant_trade_no: 841e4ba2-...-a2a45de7bd00
                        amount: '100'
                        status: PAY_SUCCESS
                        currency: USDT
                        currency_type: crypto
                        expire_time: 1740751953
                        payment_time: 1740748353
                      settlement_info:
                        settlement_via: MARKET_ORDER
                        wallet_address: SOLANA_WALLET_ADDRESS
                        currency: USDC
                        rail: SOLANA
                        amount: '100'
                        trx_hash: 0x580...
                        settle_time: 1740748353
                        status: SETTLEMENT_SUCCESS
                        retry_attempts: 0
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '403':
          description: Payment ID doesn't belong to you
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                      type:
                        type: string
                        enum:
                          - FIN_ERROR
                        example: FIN_ERROR
                      message:
                        type: string
                        example: Payment ID doesn't belong to you
        '404':
          description: Payment ID not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                      type:
                        type: string
                        enum:
                          - FIN_ERROR
                        example: FIN_ERROR
                      message:
                        type: string
                        example: Payment ID not found
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````